Skip to content
Proud to collaborate with Microsoft for Startups

docusign.workspace-items.get-workspace-folder ​

This method returns the contents of a workspace folder, which can include sub-folders and files.

List workspace folder contents

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
folderidstringYes—The ID of the folder.
workspaceidstringYes—The ID of the workspace.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip.
include_filesstringNo—When true, the response includes file information (in addition to folder information). The default is false.
include_sub_foldersstringNo—When true, the response includes information about the sub-folders of the current folder. The default is false.
include_thumbnailsstringNo—When true, the response returns thumbnails. The default is false.
include_user_detailstringNo—When true, the response includes extended details about the user. The default is false.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.
workspace_user_idstringNo—If set, the response only includes results associated with the userId that you specify.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
folderidstringYes—The ID of the folder.
workspaceidstringYes—The ID of the workspace.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip.
include_filesstringNo—When true, the response includes file information (in addition to folder information). The default is false.
include_sub_foldersstringNo—When true, the response includes information about the sub-folders of the current folder. The default is false.
include_thumbnailsstringNo—When true, the response returns thumbnails. The default is false.
include_user_detailstringNo—When true, the response includes extended details about the user. The default is false.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.
workspace_user_idstringNo—If set, the response only includes results associated with the userId that you specify.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.workspace-items.get-workspace-folder",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "folderid": "value",
    "workspaceid": "value"
  }
}